### Name: classplot
### Title: Produce a classification plot from discriminant or SVM modelling
### Aliases: classplot


### ** Examples

library(MASS)
# Data from female speaker 68
temp = vowlax.spkr=="68"
# Quadratic discriminant analysis
fm.qda = qda(vowlax.fdat.5[temp,1:2], vowlax.l[temp])
# Linear discriminant analysis
fm.lda = lda(vowlax.fdat.5[temp,1:2], vowlax.l[temp])
#library(e1071)
# Support vector machine
fm.svm = qda(vowlax.fdat.5[temp,1:2], factor(vowlax.l[temp]))
xlim = range(vowlax.fdat.5[temp,1])
ylim = range(vowlax.fdat.5[temp,2])
par(mfrow=c(1,3))
classplot(fm.qda, xlim=xlim, ylim=ylim, main="QDA")
classplot(fm.lda, xlim=xlim, ylim=ylim, main="LDA")
classplot(fm.svm, xlim=xlim, ylim=ylim, xlab="F1", ylab="F2", main="SVM")          
                   


