### Name: emu.requery
### Title: Generate a segment list or label list derived from an existing
###   Emu segment list
### Aliases: emu.requery
### Keywords: misc

### ** Examples


data(vowlax)

# find all Phonetic vowels in the database
## Not run: segs <- emu.query("demo", "*", "Phonetic=vowel")
## Don't show: 
segs = vowlax
## End Don't show

## find the word level segments 
## Not run: wsegs <- emu.requery(segs, level="Phonetic", targetlevel="Text")
## Don't show: 
wsegs = vowlax.word
## End Don't show

# now find the Phonetic segment that follows the original vowels:
## Not run: nsegs <- emu.requery(segs, level="Phonetic", sequence=1)
## Don't show: 
nsegs <- vowlax.right
## End Don't show
# and the one that preceeds them, but only get the labels this time
## Not run: prelabs <- emu.requery(segs, level="Phonetic", sequence=-1, justlabels=TRUE)
## Don't show: 
prelabs <- vowlax.left
## End Don't show




